dxvk (2.7.1-2) unstable; urgency=medium

  * Alexandre Viau kindly handed over maintainership to me.
  * Package repository moved to the Debian collaborative group.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 10 Nov 2025 18:27:56 +0900

dxvk (2.7.1-1) unstable; urgency=medium

  * New upstream bugfix release:
    - remove obsolete upstream_version_fix.patch.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 08 Nov 2025 20:51:01 +0900

dxvk (2.7-1) unstable; urgency=medium

  * NUR:
    - remove patches applied upstream
    - add upstream patch to fix version s/2.7/2.7.0/, breaking meson rules

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 16 Aug 2025 05:58:12 +0900

dxvk (2.6.2-1) experimental; urgency=medium

  * New upstream bugfix release (Closes: #1102319).

  [ Simon McVittie ]
  * Drop DXVK-native related patches that were applied upstream.

  [ Marc Dequènes (Duck) ]
  * Update symlinks installed by dxvk-setup:
    - remove but do not install anymore d3d10 and d3d10_1 DLLs (abandonned
      upstream in 2.0 but I missed it) (Closes: #1104544)
    - add d3d8 DLL (added in 2.5 but missed it too)

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 26 Jun 2025 03:22:14 +0900

dxvk (2.6.1-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream bugfix release (Closes: #1102319)
  * d/rules: Build DXVK-Native.
    Previously, we would only build Windows DLLs using wine/mingw toolchains,
    on architectures that have a Windows equivalent.
    Now we also build native Linux shared objects using the native
    toolchain, on all architectures.
  * d/control: Build new binary packages for DXVK-Native (Closes: #1072114)
  * d/control: Skip Windows DLLs under <!nowindows> build-profile
  * d/rules: Only run Wine-based build steps if we are building those packages.
  * d/tests: Add a smoke-test for d3d9 and d3d11
  * d/watch: Stop appending +ds to the version number.
    If the first import of 2.6.1 has the vendored projects included, then
    we don't need a special suffix to distinguish it from an earlier import
    without them.
  * d/watch: Track the same fork of libdisplay-info as upstream.
    No functional changes, it's still the same commit.

  [ Marc Dequènes (Duck) ]
  * Remove leftover doc from libdxvk-native-dev.
  * Fix libdxvk-native-dev's section.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Extends timeout for reprotest CI test.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 08 Apr 2025 13:05:58 +0900

dxvk (2.6+ds-1) unstable; urgency=medium

  [ Simon McVittie ]
  * Re-import upstream source with its required vendored subprojects
    - d/watch: Fetch vendored libdisplay-info as a second .orig tarball
    - d/watch: Fetch vendored MinGW DirectX headers as another orig
      tarball, which is not yet needed but will be required for DXVK Native
      (see #1072114)
    - d/gbp.conf: Import multiple .orig tarballs
    - d/rules: Use the multiple .orig tarballs for the vendored
      subprojects.
      dpkg-source can only unpack them at the top level, but the dxvk
      build system expects to find libdisplay-info in subprojects/ and
      the MinGW DirectX headers in include/native/directx/, so we still
      need some symlinks.
    - d/copyright: Add copyright/licensing for the libdisplay-info fork
    - d/copyright: Add copyright/licensing for mingw-directx-headers
  * d/.gitignore: Add

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 03 Apr 2025 21:52:19 +0900

dxvk (2.6-1) unstable; urgency=medium

  * NUR:
    - refresh patches
  * dxvk-setup: add fallback for 64 bit install in case there is a
    single binary
  * autopkgtest: stop wineserver before final cleanup.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 24 Mar 2025 03:49:02 +0900

dxvk (2.5.3-1) unstable; urgency=medium

  * NUR:
    - refresh patches

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 30 Jan 2025 15:34:26 +0900

dxvk (2.5.1-1) unstable; urgency=medium

  [ Marc Dequènes (Duck) ]
  * NUR.
  * Switch to using stable wine and rename packages
    (Closes: #982159, #1077188).
  * Add build improvements from Guillem Jover and implemented by Emanuele
    Rocca (Closes: #1076580).
  * Rework dxvk-setup:
    - reimplement wine binary path detection
    - add options for upstream packages
    - adapt to changes in wine Debian packaging (Closes: #1029811)

  [ Emanuele Rocca ]
  * Use amd64 CFLAGS on all 64 bit architectures, i386 on 32 bits.
  * Use x86_64-w64-mingw32-objcopy on all 64 bit architectures,
    i686-w64-mingw32-objcopy on 32 bits.
  * Do not override DEB_HOST_GNU_CPU in d/strip_debug.sh, use a new variable
    instead.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 19 Nov 2024 21:40:16 +0900

dxvk (2.5-1) unstable; urgency=medium

  * NUR:
    - refresh patches

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 12 Nov 2024 11:48:13 +0900

dxvk (2.4.1-1) unstable; urgency=medium

  * NUR.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 24 Oct 2024 12:05:09 +0900

dxvk (2.4-2) unstable; urgency=medium

  [Emanuele Rocca]
  * Use amd64 CFLAGS when building on arm64 (Closes: #1073188).
  * Use x86_64-w64-mingw32-objcopy on arm64.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 17 Jul 2024 11:12:52 +0900

dxvk (2.4-1) unstable; urgency=medium

  * NUR:
    - refresh patches
  * Update supported D3D features in description.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 12 Jul 2024 02:48:33 +0900

dxvk (2.3.1-1) unstable; urgency=medium

  * NUR:
    - refresh patches

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 08 May 2024 18:37:24 +0900

dxvk (2.3-1) unstable; urgency=medium

  * NUR:
    - refresh patches

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 10 Nov 2023 03:44:17 +0900

dxvk (2.2-1) unstable; urgency=medium

  * NUR.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 14 Jun 2023 15:09:40 +0900

dxvk (2.1-1) unstable; urgency=medium

  * NUR:
    - refresh patches
    - bundle DXVK's author's libdisplay-info fork
      (until we can use the original project)
      (with a make target to regenerate the tarball)
    - add symlink for vk_video include files

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 07 Feb 2023 23:13:17 +0900

dxvk (2.0-1) unstable; urgency=medium

  * NUR.
  * Adapt to 2.0 buildsystem changes
  * Update copyright information.
  * Enable LTO.
  * Strip DLLs and move debug info in a debsym package (Closes:
    #975475).
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 20 Dec 2022 21:44:16 +0900

dxvk (1.10.3+ds1-1) unstable; urgency=medium

  * NUR.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 08 Aug 2022 10:12:47 +0900

dxvk (1.10.1+ds1-1) unstable; urgency=medium

  * NUR:
    - refresh patches
  * Fix build-wine.patch breaking library lookup and remove now useless
    CreateDXGIFactory1_link_fix.patch.
  * Improve build flags handling.
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Enable cross-test-friendly autopkgtest deps (courtesy of Graham
    Inggs) (Closes: #1005883).
  * Use debhelper's Ninja support (Meson would be better but lacks cross
    build customization).
  * Depend on mingw-w64 gcc instead of binutils directly.
  * Ignore no-code-sections lintian error.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 02 May 2022 18:58:20 +0900

dxvk (1.10+ds1-1) unstable; urgency=medium

  * NUR.
  * Fix build/host confusion breaking cross builds (courtesy of Helmut
    Grohne) (Closes: #977821).
  * Update copyright file.
  * Adapt Wine library lookup to new subdirectories introduced in 6.8.
  * Add patch to fix CreateDXGIFactory1 link problem.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 30 Mar 2022 15:10:15 +0900

dxvk (1.9.4+ds1-1) unstable; urgency=medium

  * NUR.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 25 Jan 2022 16:36:28 +0900

dxvk (1.9.3+ds1-1) unstable; urgency=medium

  * Update descriptions to include D3D9 (courtesy of Adrian Heine).
  * NUR.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 12 Jan 2022 11:54:57 +0900

dxvk (1.9.2+ds1-1) unstable; urgency=medium

  * NUR.
  * Adapt c_link_args and cpp_link_args for new Meson version.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 28 Sep 2021 19:39:54 +0900

dxvk (1.9.1+ds1-1) unstable; urgency=medium

  * NUR:
    - refresh patches

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 03 Aug 2021 19:21:49 +0900

dxvk (1.9+ds1-1) unstable; urgency=medium

  * NUR:
    - refresh patches
  * Fix dxvk-setup override apply/restore.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 22 Jul 2021 15:41:36 +0900

dxvk (1.8.1+ds1-1) unstable; urgency=medium

  * NUR:
    - refresh patches
  * Enable stackprotector hardening.
  * Fixed autopkgtest.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 09 Mar 2021 20:19:13 +0900

dxvk (1.7.3+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 09 Dec 2020 06:06:19 +0900

dxvk (1.7.2+ds1-4) unstable; urgency=medium

  * Pass the proper wine libdir to the build.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 01 Dec 2020 23:05:33 +0900

dxvk (1.7.2+ds1-3) unstable; urgency=medium

  * Match architectures with those supported by wine-development.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 01 Dec 2020 18:46:26 +0900

dxvk (1.7.2+ds1-2) unstable; urgency=medium

  * Pass dpkg-buildflags to Meson.
  * Fix dxvk-setup to work on path containing spaces (thanks to
    Guillaume Charifi).
  * Bump debhelper compat level to 13.
  * Bump Standards-Version to 4.5.0 (no changes needed).
  * Bump watch version to 4.
  * Update patches metadata.
  * Add lintian override for maintainer-manual-page for Debian-specific
    version of dxvk-setup.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 10 Nov 2020 17:34:50 +0900

dxvk (1.7.2+ds1-1) unstable; urgency=medium

  * New upstream release (Closes: #952966, #954539).
  * Adapt to build using mingw as is done upstream now.
  * Add myself to uploaders (with maintainer's consent).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 21 Oct 2020 12:29:37 +0900

dxvk (1.5.4+ds1-2) unstable; urgency=medium

  * Tests: check for d3d9.dll.

 -- Alexandre Viau <aviau@debian.org>  Sun, 09 Feb 2020 20:37:54 -0500

dxvk (1.5.4+ds1-1) unstable; urgency=medium

  * New upstream version.
  * dxvk-setup: install d3d9 dll.

 -- Alexandre Viau <aviau@debian.org>  Sun, 09 Feb 2020 17:19:17 -0500

dxvk (1.4.6+ds1-2) unstable; urgency=medium

  * Only support amd64 and any-i386.

 -- Alexandre Viau <aviau@debian.org>  Thu, 16 Jan 2020 11:20:02 -0500

dxvk (1.4.6+ds1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sun, 15 Dec 2019 18:19:14 -0500

dxvk (1.4.3+ds1-2) unstable; urgency=medium

  * setup-dxvk: Echo errors to stderr.
  * Install 32bit libs in 64bit prefixes. (Closes: #925563)

 -- Alexandre Viau <aviau@debian.org>  Sun, 15 Dec 2019 17:13:19 -0500

dxvk (1.4.3+ds1-1) unstable; urgency=medium

  * New upstream version.
  * Refresh dxvk-version.patch.

 -- Alexandre Viau <aviau@debian.org>  Fri, 25 Oct 2019 17:18:57 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog dxvk-wine64`.
